% demonstrate first 4 principal components

% create figure directory if needed
if  printFigs
    eofDir = fullfile('.', 'figures', 'animation_eof');
    if ~exist(eofDir,'dir'), mkdir(eofDir); end
end

figure(6)
chl_mn = squeeze(nanmean(chl,1));

for t=1:size(chl,1)
    subplot(2,2,1)
    pcolor(lon,lat,squeeze(chl(t,:,:)))
    colormap(cmocean('algae',20))
    shading interp
    plotnewengland
    caxis([0 5])
    colorbar
    title(['True Data - ',date_str{t}])
    
    subplot(2,2,2)
    pcolor(lon,lat,score{1}(t)*EOF{1}+chl_mn)
    colormap(cmocean('algae',20))
    shading interp
    plotnewengland
    caxis([0 5])
    colorbar
    title('EOF 1')
    
    subplot(2,2,3)
    pcolor(lon,lat,score{1}(t)*EOF{1}+score{2}(t)*EOF{2}+chl_mn)
    colormap(cmocean('algae',20))
    shading interp
    plotnewengland
    caxis([0 5])
    colorbar
    title('EOFs 1 and 2')
    
    subplot(2,2,4)
    pcolor(lon,lat,score{1}(t)*EOF{1}+score{2}(t)*EOF{2}+score{3}(t)*EOF{3}+score{4}(t)*EOF{4}+chl_mn)
    colormap(cmocean('algae',20))
    shading interp
    plotnewengland
    caxis([0 5])
    colorbar
    title('EOFs 1 to 4')
    set(6, 'Position', [100, 100, 1000, 800])
    
    pause(0.2)
    
    if  printFigs
        print(gcf, fullfile(eofDir, sprintf('chl_seawifs__eof_%03d',t)),'-dpng', '-r300')
    end
end